Subject: Re: [Cbe-oss-dev] [PATCH 3/3] Cell IOMMU static mapping support

From: Arnd Bergmann <[email-masked]>
Date: Mon, 28 Jan 2008 12:41:48 +0100

On Saturday 26 January 2008, Olof Johansson wrote:
> > 
> > So instead of having an IOMMU window that we use to temporarily map things
> > in and out of DMA'able space, at boot we create a 1:1 mapping for all of
> > memory. This obviously only works for devices that can do 64-bit DMA.
> 
> I don't get it. Why not disable the iommu instead?
> 

When you disable the iommu, the 32-bit devices stop working because
they can no longer access all of main memory.

The 1:1 mapping is in addition to the DMA window used for those devices,
not in place of it.

	Arnd <><